import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;

Future apiHit(String url, String path, [String? token]) async {
  final Uri uri = Uri.parse(url + "/$path");
  final http.Response response = await http.get(uri, headers: {
    "Content-type": "application/json",
    "Accept": "application/json",
    "Access-Control-Allow-Origin": "*",
    "Authorization": token != null ? 'Bearer $token' : ""
  });

  if (response.statusCode == 201) {
    return response.body;
  }
}
